/*___________________________________________________________________________*
   )()(			  DalekenMUD 1.12 (C) 2000			)()(
   `]['		       by Martin Thomson, Lee Brooks,			`]['
    ||		       Ken Herbert and David Jacques			 ||
    || ----------------------------------------------------------------- ||
    || Envy Diku Mud improvements copyright (C) 1994 by Michael Quan,	 ||
    || David Love, Guilherme 'Willie' Arnold, and Mitchell Tse.		 ||
    || Merc Diku Mud improvments copyright (C) 1992, 1993 by Michael	 ||
    || Chastain, Michael Quan, and Mitchell Tse.			 ||
    || Original Diku Mud copyright (C) 1990, 1991			 ||
    || by Sebastian Hammer, Michael Seifert, Hans Henrik St{rfeldt,	 ||
    || Tom Madsen, and Katja Nyboe.					 ||
    || ----------------------------------------------------------------- ||
    || Any use of this software must follow the licenses of the		 ||
    || creators.  Much time and thought has gone into this software and	 ||
    || you are benefitting. We hope that you share your changes too.	 ||
    || What goes around, comes around.					 ||
    || ----------------------------------------------------------------- ||
    ||				  config.h				 ||
    || A few defines that configure game features.			 ||
 *_/<>\_________________________________________________________________/<>\_*/


/* define if you want to copy the binary files over */
#define EXE_COPYOVER

/* define this if you need to bind to a certain IP address */
/* #define BIND_SINGLE_IP "255.255.255.255" */

#if defined( macintosh ) || defined( WIN32 )
# if defined( unix )
#  undef unix
# endif
#endif


/*
 * A useful function that is missing from some systems.
 */
#if !defined( CYGWIN32 ) && !defined( BCB )
# define HAVE_VSNPRINTF
#endif

/*
 * If the system has gzip to compress player files.
 */
#if !defined( macintosh ) && !defined( WIN32 )
# define HAVE_GZIP
#endif

/*
 * For the ispell and fortune addons.  These require unix style
 * pipes and the actual programs.
 */
#if defined( unix ) && !defined( CYGWIN32 )
# define HAVE_ISPELL
# define HAVE_FORTUNE
#endif

/*
 * OS-dependent declarations.
 * These are all very standard library functions,
 *   but some systems have incomplete or non-ansi header files.
 */
#if defined( amiga )
#define AmigaTCP
#endif

#if defined( apollo )
int atoi args( ( const char *string ) );
void *calloc args( ( unsigned nelem, size_t size ) );
#endif

#if defined( sequent )
int fclose args( ( FILE *stream ) );
int fprintf args( ( FILE *stream, const char *format,... ) );
int fread args( ( void *ptr, int size, int n, FILE *stream ) );
int fseek args( ( FILE *stream, long offset, int ptrname ) );
void perror args( ( const char *s ) );
int ungetc args( ( int c, FILE *stream ) );
#endif

/*
 * Stuff for DEC UNIX on Alpha ( OSF3.2C )
 * Fusion
 */
#if defined( _OSF_SOURCE )
int system args( ( const char *string ) );
ssize_t read args( ( int fd, void *buf, size_t nbyte ) );
ssize_t write args( ( int fd, const void *buf, size_t nbyte ) );
int close args( ( int fd ) );
#endif
