/*___________________________________________________________________________*
   )()(			  DalekenMUD 1.12 (C) 2000			)()(
   `]['		       by Martin Thomson, Lee Brooks,			`]['
    ||		       Ken Herbert and David Jacques			 ||
    || ----------------------------------------------------------------- ||
    || Envy Diku Mud improvements copyright (C) 1994 by Michael Quan,	 ||
    || David Love, Guilherme 'Willie' Arnold, and Mitchell Tse.		 ||
    || Merc Diku Mud improvments copyright (C) 1992, 1993 by Michael	 ||
    || Chastain, Michael Quan, and Mitchell Tse.			 ||
    || Original Diku Mud copyright (C) 1990, 1991			 ||
    || by Sebastian Hammer, Michael Seifert, Hans Henrik St{rfeldt,	 ||
    || Tom Madsen, and Katja Nyboe.					 ||
    || ----------------------------------------------------------------- ||
    || Any use of this software must follow the licenses of the		 ||
    || creators.  Much time and thought has gone into this software and	 ||
    || you are benefitting. We hope that you share your changes too.	 ||
    || What goes around, comes around.					 ||
    || ----------------------------------------------------------------- ||
    ||				function.h				 ||
    || This file contains declarations for every function used.		 ||
 *_/<>\_________________________________________________________________/<>\_*/


/*
 * The crypt (3) function is not available on some operating systems.
 * In particular, the U.S. Government prohibits its export from the
 *   United States to foreign countries.
 * Compile with crypt.c to have encryption.
 */
char *crypt	args( ( const char *key, const char *salt ) );


/*
 * Command functions.
 * Defined in act_*.c (mostly).
 */
DECLARE_DO_FUN(	   do_advance		);
DECLARE_DO_FUN(	   do_aedit		);	/* OLC 1.1b */
DECLARE_DO_FUN(	   do_aestat		);	/* Daleken */
DECLARE_DO_FUN(	   do_affects		);	/* Daleken */
DECLARE_DO_FUN(	   do_afk		);
DECLARE_DO_FUN(	   do_aliases		);	/* Daleken */
DECLARE_DO_FUN(	   do_alist		);
DECLARE_DO_FUN(	   do_allow		);
DECLARE_DO_FUN(	   do_answer		);
DECLARE_DO_FUN(	   do_appraise		);	/* Daleken */
DECLARE_DO_FUN(	   do_areas		);
DECLARE_DO_FUN(	   do_arena		);	/* Daleken */
DECLARE_DO_FUN(	   do_asave		);
DECLARE_DO_FUN(	   do_at		);
DECLARE_DO_FUN(	   do_auction		);
DECLARE_DO_FUN(	   do_auto		);
DECLARE_DO_FUN(	   do_autoexit		);
DECLARE_DO_FUN(	   do_autoloot		);
DECLARE_DO_FUN(	   do_autogold		);
DECLARE_DO_FUN(	   do_autosac		);
DECLARE_DO_FUN(	   do_autosplit		);	/* Daleken */
DECLARE_DO_FUN(	   do_avatar		);	/* Daleken */
DECLARE_DO_FUN(	   do_backstab		);
DECLARE_DO_FUN(	   do_badname		);	/* Daleken */
DECLARE_DO_FUN(	   do_bamfin		);
DECLARE_DO_FUN(	   do_bamfout		);
DECLARE_DO_FUN(	   do_ban		);
DECLARE_DO_FUN(	   do_bank		);	/* Daleken */
DECLARE_DO_FUN(	   do_bash		);
DECLARE_DO_FUN(	   do_battle		);	/* Daleken */
DECLARE_DO_FUN(	   do_become		);	/* Daleken */
DECLARE_DO_FUN(	   do_beep		);
DECLARE_DO_FUN(	   do_berserk		);	/* by Thelonius */
/* DECLARE_DO_FUN(    do_bet		);	 by Thelonius */
DECLARE_DO_FUN(	   do_blank		);
DECLARE_DO_FUN(	   do_blink		);	/* Daleken */
DECLARE_DO_FUN(	   do_board		);	/* Daleken */
DECLARE_DO_FUN(	   do_bounty		);	/* Daleken */
DECLARE_DO_FUN(	   do_brandish		);
DECLARE_DO_FUN(	   do_brew		);
DECLARE_DO_FUN(	   do_brief		);
DECLARE_DO_FUN(	   do_bug		);
DECLARE_DO_FUN(	   do_builder		);	/* Daleken */
DECLARE_DO_FUN(	   do_bury		);	/* Daleken */
DECLARE_DO_FUN(	   do_busy		);	/* Daleken */
DECLARE_DO_FUN(	   do_buy		);
DECLARE_DO_FUN(	   do_call		);	/* Daleken */
DECLARE_DO_FUN(	   do_cast		);
DECLARE_DO_FUN(	   do_carve		);	/* Daleken */
DECLARE_DO_FUN(	   do_cedit		);	/* Daleken */
DECLARE_DO_FUN(	   do_chameleon		);	/* by Thelonius */
DECLARE_DO_FUN(	   do_channels		);
DECLARE_DO_FUN(	   do_charge		);	/* Daleken */
DECLARE_DO_FUN(	   do_chat		);
DECLARE_DO_FUN(	   do_circle		);	/* by Thelonius */
DECLARE_DO_FUN(	   do_clan		);	/* Daleken */
DECLARE_DO_FUN(	   do_clans		);	/* Daleken */
DECLARE_DO_FUN(	   do_clantalk		);	/* Daleken */
DECLARE_DO_FUN(	   do_close		);
DECLARE_DO_FUN(	   do_colour		);	/* Daleken */
DECLARE_DO_FUN(	   do_combine		);
DECLARE_DO_FUN(	   do_combo		);	/* Daleken */
DECLARE_DO_FUN(	   do_commands		);
DECLARE_DO_FUN(	   do_compare		);
#if defined( MCCP )
DECLARE_DO_FUN(	   do_compress		);	/* MCCP */
#endif
DECLARE_DO_FUN(	   do_condition		);	/* Daleken */
DECLARE_DO_FUN(	   do_config		);
DECLARE_DO_FUN(	   do_confiscate	);	/* Daleken */
DECLARE_DO_FUN(	   do_consider		);
DECLARE_DO_FUN(	   do_copyove		);
DECLARE_DO_FUN(	   do_copyover		);	/* by Erwin */
DECLARE_DO_FUN(	   do_credits		);
DECLARE_DO_FUN(	   do_deaf		);	/* Daleken */
DECLARE_DO_FUN(	   do_delet		);	/* Daleken */
DECLARE_DO_FUN(	   do_delete		);	/* Daleken */
DECLARE_DO_FUN(	   do_deny		);
DECLARE_DO_FUN(	   do_description	);
DECLARE_DO_FUN(	   do_dig		);	/* Daleken */
DECLARE_DO_FUN(	   do_disable		);	/* Daleken */
DECLARE_DO_FUN(	   do_disarm		);
DECLARE_DO_FUN(	   do_disconnect	);
DECLARE_DO_FUN(	   do_donate		);
DECLARE_DO_FUN(	   do_down		);
DECLARE_DO_FUN(	   do_drag		);	/* ??? */
DECLARE_DO_FUN(	   do_drink		);
DECLARE_DO_FUN(	   do_drop		);
DECLARE_DO_FUN(	   do_dupefind		);	/* Daleken */
DECLARE_DO_FUN(	   do_east		);
DECLARE_DO_FUN(	   do_eat		);
DECLARE_DO_FUN(	   do_echo		);
DECLARE_DO_FUN(	   do_embalm		);	/* Daleken */
DECLARE_DO_FUN(	   do_emote		);
DECLARE_DO_FUN(	   do_engrave		);	/* Daleken */
DECLARE_DO_FUN(	   do_enter		);	/* Daleken */
DECLARE_DO_FUN(	   do_equipment		);
DECLARE_DO_FUN(	   do_examine		);
DECLARE_DO_FUN(	   do_exits		);
DECLARE_DO_FUN(	   do_exlist		);	/* Daleken */
DECLARE_DO_FUN(	   do_fee		);
DECLARE_DO_FUN(	   do_feed		);
DECLARE_DO_FUN(	   do_fileoutput	);	/* Daleken */
DECLARE_DO_FUN(	   do_fill		);
DECLARE_DO_FUN(	   do_flaglookup	);	/* Daleken */
DECLARE_DO_FUN(	   do_flee		);
DECLARE_DO_FUN(	   do_follow		);
DECLARE_DO_FUN(	   do_forage		);	/* Daleken */
DECLARE_DO_FUN(	   do_force		);
DECLARE_DO_FUN(	   do_freeze		);
DECLARE_DO_FUN(	   do_get		);
DECLARE_DO_FUN(	   do_give		);
DECLARE_DO_FUN(	   do_gmpedit		);	/* Daleken */
DECLARE_DO_FUN(	   do_goto		);
DECLARE_DO_FUN(	   do_grant		);	/* Daleken */
DECLARE_DO_FUN(	   do_gratz		);	/* Daleken */
DECLARE_DO_FUN(	   do_group		);
DECLARE_DO_FUN(	   do_gtell		);
DECLARE_DO_FUN(	   do_guilds		);	/* Daleken */
DECLARE_DO_FUN(	   do_harvest		);	/* Daleken */
DECLARE_DO_FUN(	   do_headbutt		);	/* Daleken */
DECLARE_DO_FUN(	   do_heal		);	/* by Alander */
DECLARE_DO_FUN(	   do_hedit		);	/* Daleken */
DECLARE_DO_FUN(	   do_heighten		);	/* by Thelonius */
DECLARE_DO_FUN(	   do_help		);
DECLARE_DO_FUN(	   do_hide		);
DECLARE_DO_FUN(	   do_highest		);	/* Daleken */
DECLARE_DO_FUN(	   do_hire		);	/* Daleken */
DECLARE_DO_FUN(	   do_holypower		);	/* Daleken */
DECLARE_DO_FUN(	   do_holylight		);
DECLARE_DO_FUN(	   do_idea		);
DECLARE_DO_FUN(	   do_immname		);	/* Daleken */
DECLARE_DO_FUN(	   do_immtalk		);
DECLARE_DO_FUN(	   do_impale		);	/* Daleken */
DECLARE_DO_FUN(	   do_imtlset		);
DECLARE_DO_FUN(	   do_inventory		);
DECLARE_DO_FUN(	   do_info		);	/* Daleken */
DECLARE_DO_FUN(	   do_invis		);
DECLARE_DO_FUN(	   do_ispell		);	/* Daleken */
DECLARE_DO_FUN(	   do_juggle		);	/* Daleken */
DECLARE_DO_FUN(	   do_keylock		);	/* Daleken */
DECLARE_DO_FUN(	   do_kick		);
DECLARE_DO_FUN(	   do_kill		);
DECLARE_DO_FUN(	   do_last		);	/* Daleken */
DECLARE_DO_FUN(	   do_leave		);	/* Daleken */
DECLARE_DO_FUN(	   do_list		);
DECLARE_DO_FUN(	   do_lighten		);	/* Daleken */
DECLARE_DO_FUN(	   do_lock		);
DECLARE_DO_FUN(	   do_log		);
DECLARE_DO_FUN(	   do_look		);
DECLARE_DO_FUN(	   do_magic		);	/* Daleken */
DECLARE_DO_FUN(	   do_masscast		);	/* Daleken */
DECLARE_DO_FUN(	   do_medit		);	/* OLC 1.1b */
DECLARE_DO_FUN(	   do_meditate		);	/* Daleken */
DECLARE_DO_FUN(	   do_memory		);
DECLARE_DO_FUN(	   do_mestat		);	/* Daleken */
DECLARE_DO_FUN(	   do_mfind		);
DECLARE_DO_FUN(	   do_mload		);
DECLARE_DO_FUN(	   do_mobdeath		);	/* Daleken */
DECLARE_DO_FUN(	   do_modify_armour	);	/* Daleken */
DECLARE_DO_FUN(	   do_move_hidden	);	/* Daleken */
DECLARE_DO_FUN(	   do_mpcomm		);	/* Daleken */
DECLARE_DO_FUN(	   do_mpstat		);
DECLARE_DO_FUN(	   do_mset		);
DECLARE_DO_FUN(	   do_mstat		);
DECLARE_DO_FUN(	   do_mwhere		);
DECLARE_DO_FUN(	   do_multi_clas	);
DECLARE_DO_FUN(	   do_multi_class	);
DECLARE_DO_FUN(	   do_music		);
DECLARE_DO_FUN(	   do_newlock		);
DECLARE_DO_FUN(	   do_nofight		);	/* Daleken */
DECLARE_DO_FUN(	   do_nolag		);	/* Daleken */
DECLARE_DO_FUN(	   do_noemote		);
DECLARE_DO_FUN(	   do_north		);
DECLARE_DO_FUN(	   do_note		);
DECLARE_DO_FUN(	   do_notell		);
DECLARE_DO_FUN(	   do_numlock		);
DECLARE_DO_FUN(	   do_oedit		);	/* OLC 1.1b */
DECLARE_DO_FUN(	   do_oestat		);	/* Daleken */
DECLARE_DO_FUN(	   do_ofind		);
DECLARE_DO_FUN(	   do_oload		);
DECLARE_DO_FUN(	   do_open		);
DECLARE_DO_FUN(	   do_opstat		);	/* Daleken */
DECLARE_DO_FUN(	   do_order		);
DECLARE_DO_FUN(	   do_orders		);	/* Daleken */
DECLARE_DO_FUN(	   do_oset		);
DECLARE_DO_FUN(	   do_ostat		);
DECLARE_DO_FUN(	   do_owhere		);
DECLARE_DO_FUN(	   do_pagelen		);
DECLARE_DO_FUN(	   do_pardon		);
DECLARE_DO_FUN(	   do_password		);
DECLARE_DO_FUN(	   do_peace		);
DECLARE_DO_FUN(	   do_pestat		);	/* Daleken */
DECLARE_DO_FUN(	   do_pick		);
DECLARE_DO_FUN(	   do_pledit		);	/* Daleken */
DECLARE_DO_FUN(	   do_pload		);	/* Daleken */
DECLARE_DO_FUN(	   do_punload		);	/* Daleken */
DECLARE_DO_FUN(	   do_poison_weapon	);	/* by Thelonius */
DECLARE_DO_FUN(	   do_pose		);
DECLARE_DO_FUN(	   do_poseset		);	/* Daleken */
DECLARE_DO_FUN(	   do_practice		);
DECLARE_DO_FUN(	   do_pray		);	/* Daleken */
DECLARE_DO_FUN(	   do_prepare		);	/* Daleken */
DECLARE_DO_FUN(	   do_prompt		);
DECLARE_DO_FUN(	   do_purge		);
DECLARE_DO_FUN(	   do_push		);	/* ???? */
DECLARE_DO_FUN(	   do_put		);
DECLARE_DO_FUN(	   do_quaff		);
DECLARE_DO_FUN(	   do_quest		);	/* Daleken */
DECLARE_DO_FUN(	   do_question		);
DECLARE_DO_FUN(	   do_qui		);
DECLARE_DO_FUN(	   do_quicken		);	/* Daleken */
DECLARE_DO_FUN(	   do_quit		);
DECLARE_DO_FUN(	   do_quote		);	/* Daleken */
DECLARE_DO_FUN(	   do_racial		);	/* Daleken */
DECLARE_DO_FUN(	   do_raceinfo		);	/* Daleken */
DECLARE_DO_FUN(	   do_ram		);	/* Daleken */
DECLARE_DO_FUN(	   do_random		);	/* Daleken */
DECLARE_DO_FUN(	   do_reboo		);
DECLARE_DO_FUN(	   do_reboot		);
DECLARE_DO_FUN(	   do_recall		);
DECLARE_DO_FUN(	   do_recho		);
DECLARE_DO_FUN(	   do_recite		);
DECLARE_DO_FUN(	   do_redit		);	/* OLC 1.1b */
DECLARE_DO_FUN(	   do_reledit		);	/* Daleken */
DECLARE_DO_FUN(	   do_religion		);	/* Daleken */
DECLARE_DO_FUN(	   do_remove		);
DECLARE_DO_FUN(	   do_repair		);	/* Daleken */
DECLARE_DO_FUN(	   do_repeat		);	/* do_for by Erwin Andreasen */
DECLARE_DO_FUN(	   do_reply		);
DECLARE_DO_FUN(	   do_report		);
DECLARE_DO_FUN(	   do_rescue		);
DECLARE_DO_FUN(	   do_resets		);
DECLARE_DO_FUN(	   do_rest		);
DECLARE_DO_FUN(	   do_restat		);	/* Daleken */
DECLARE_DO_FUN(	   do_restore		);
DECLARE_DO_FUN(	   do_return		);
DECLARE_DO_FUN(	   do_rpstat		);	/* Daleken */
DECLARE_DO_FUN(	   do_rstat		);
DECLARE_DO_FUN(	   do_sacrifice		);
DECLARE_DO_FUN(	   do_save		);
DECLARE_DO_FUN(	   do_say		);
DECLARE_DO_FUN(	   do_scan		);	/* Daleken */
DECLARE_DO_FUN(	   do_score		);
DECLARE_DO_FUN(	   do_scribe		);
DECLARE_DO_FUN(	   do_scriptsave	);	/* Daleken */
DECLARE_DO_FUN(	   do_sedit		);	/* Daleken */
DECLARE_DO_FUN(	   do_sell		);
DECLARE_DO_FUN(	   do_send		);	/* Daleken */
DECLARE_DO_FUN(	   do_seniortalk	);	/* Daleken */
DECLARE_DO_FUN(	   do_setmin		);	/* Daleken */
DECLARE_DO_FUN(	   do_setmout		);	/* Daleken */
DECLARE_DO_FUN(	   do_setname		);	/* Daleken */
DECLARE_DO_FUN(	   do_sharpen		);	/* Daleken */
DECLARE_DO_FUN(	   do_shout		);
DECLARE_DO_FUN(	   do_shutdow		);
DECLARE_DO_FUN(	   do_shutdown		);
DECLARE_DO_FUN(	   do_silence		);
DECLARE_DO_FUN(	   do_sit		);	/* Daleken */
DECLARE_DO_FUN(	   do_sla		);
DECLARE_DO_FUN(	   do_slay		);
DECLARE_DO_FUN(	   do_sleep		);
DECLARE_DO_FUN(	   do_slit_throat	);	/* Daleken */
DECLARE_DO_FUN(	   do_slist		);
DECLARE_DO_FUN(	   do_slookup		);
DECLARE_DO_FUN(	   do_smash		);	/* Daleken */
DECLARE_DO_FUN(	   do_smith		);	/* Daleken */
DECLARE_DO_FUN(	   do_snapkick		);	/* Daleken */
DECLARE_DO_FUN(	   do_snare		);	/* by Binky / Thelonius */
DECLARE_DO_FUN(	   do_sneak		);
DECLARE_DO_FUN(	   do_snoop		);
DECLARE_DO_FUN(	   do_socials		);
DECLARE_DO_FUN(	   do_south		);
DECLARE_DO_FUN(	   do_speak		);	/* Daleken */
DECLARE_DO_FUN(	   do_spells		);
DECLARE_DO_FUN(	   do_split		);
DECLARE_DO_FUN(	   do_sset		);
DECLARE_DO_FUN(	   do_sstat		);
DECLARE_DO_FUN(	   do_sstime		);
DECLARE_DO_FUN(	   do_stake		);
DECLARE_DO_FUN(	   do_stand		);
DECLARE_DO_FUN(	   do_steal		);
DECLARE_DO_FUN(	   do_stomp		);	/* Daleken */
DECLARE_DO_FUN(	   do_strangle		);	/* Daleken */
DECLARE_DO_FUN(	   do_study		);	/* Daleken */
DECLARE_DO_FUN(	   do_surge		);	/* Daleken */
DECLARE_DO_FUN(	   do_switch		);
DECLARE_DO_FUN(	   do_sysinfo		);	/* Daleken */
DECLARE_DO_FUN(	   do_taunt		);	/* Daleken */
DECLARE_DO_FUN(	   do_tell		);
DECLARE_DO_FUN(	   do_tend		);	/* Daleken */
DECLARE_DO_FUN(	   do_test		);	/* Daleken */
DECLARE_DO_FUN(	   do_throw		);	/* Daleken */
DECLARE_DO_FUN(	   do_time		);
DECLARE_DO_FUN(	   do_title		);
DECLARE_DO_FUN(	   do_toad		);	/* Daleken */
DECLARE_DO_FUN(	   do_track		);	/* Daleken */
DECLARE_DO_FUN(	   do_trade		);	/* Daleken */
DECLARE_DO_FUN(	   do_train		);
DECLARE_DO_FUN(	   do_transfer		);
DECLARE_DO_FUN(	   do_trip		);	/* Daleken */
DECLARE_DO_FUN(	   do_trust		);
DECLARE_DO_FUN(	   do_typo		);
DECLARE_DO_FUN(	   do_unaffect		);	/* Daleken */
DECLARE_DO_FUN(	   do_unlock		);
DECLARE_DO_FUN(	   do_untangle		);	/* by Thelonius */
DECLARE_DO_FUN(	   do_up		);
DECLARE_DO_FUN(	   do_users		);
DECLARE_DO_FUN(	   do_value		);
DECLARE_DO_FUN(	   do_visible		);
DECLARE_DO_FUN(	   do_wake		);
DECLARE_DO_FUN(	   do_wear		);
DECLARE_DO_FUN(	   do_weather		);
DECLARE_DO_FUN(	   do_west		);
DECLARE_DO_FUN(	   do_where		);
DECLARE_DO_FUN(	   do_whirlwind		);	/* Daleken */
DECLARE_DO_FUN(	   do_who		);
DECLARE_DO_FUN(	   do_whois		);
DECLARE_DO_FUN(	   do_wimpy		);
DECLARE_DO_FUN(	   do_wizhelp		);
DECLARE_DO_FUN(	   do_wizify		);
DECLARE_DO_FUN(	   do_wizlist		);
DECLARE_DO_FUN(	   do_wizlock		);
DECLARE_DO_FUN(	   do_wiznet		);	/* Daleken */
DECLARE_DO_FUN(	   do_worth		);	/* Daleken */
DECLARE_DO_FUN(	   do_wsave		);	/* Daleken */
DECLARE_DO_FUN(	   do_yell		);
DECLARE_DO_FUN(	   do_zap		);


/*
 * Spell functions.
 * Defined in magic.c.
 */
/*
 * Psi spell_functions, in magic.c (by Thelonius).
 */
DECLARE_SPELL_FUN(    spell_null		);
DECLARE_SPELL_FUN(    spell_acid_blast		);
DECLARE_SPELL_FUN(    spell_acid_breath		);
DECLARE_SPELL_FUN(    spell_adrenaline_control	);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_aid			);	/* Daleken */
DECLARE_SPELL_FUN(    spell_air_power		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_animate_dead	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_armour		);
DECLARE_SPELL_FUN(    spell_army_of_dark	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_astral		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_aura_sight		);
DECLARE_SPELL_FUN(    spell_awe			);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_awen		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_bark_skin		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_ballistic_attack	);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_bind_flesh		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_biofeedback		);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_bless		);
DECLARE_SPELL_FUN(    spell_blindness		);
DECLARE_SPELL_FUN(    spell_blizzard		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_boost		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_burning_hands	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_breathing		);	/* by Thelonius */
DECLARE_SPELL_FUN(    spell_calm		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_call_lightning	);
DECLARE_SPELL_FUN(    spell_cause_critical	);
DECLARE_SPELL_FUN(    spell_cell_adjustment	);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_change_sex		);
DECLARE_SPELL_FUN(    spell_chaos_shield	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_charge_weapon	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_charm_person	);
DECLARE_SPELL_FUN(    spell_chill_touch		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_claim		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_colour_spray	);
DECLARE_SPELL_FUN(    spell_combat_mind		);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_complete_healing	);
DECLARE_SPELL_FUN(    spell_concentration	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_condemn		);
DECLARE_SPELL_FUN(    spell_confusion		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_cone_of_silence	);	/* by Thelonius */
DECLARE_SPELL_FUN(    spell_continuous		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_control_flames	);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_control_weather	);
DECLARE_SPELL_FUN(    spell_cream_pie		);	/* Daleken/Greed */
DECLARE_SPELL_FUN(    spell_create_food		);
DECLARE_SPELL_FUN(    spell_create_spring	);
DECLARE_SPELL_FUN(    spell_create_water	);
DECLARE_SPELL_FUN(    spell_cure		);
DECLARE_SPELL_FUN(    spell_cure_blindness	);
DECLARE_SPELL_FUN(    spell_cure_poison		);
DECLARE_SPELL_FUN(    spell_cyclone		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_dancing_weapon	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_darkness		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_dark_claws		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_death		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_death_field		);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_decay		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_destroy_cursed	);
DECLARE_SPELL_FUN(    spell_destroy_life	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_detect_evil		);
DECLARE_SPELL_FUN(    spell_detect_hidden	);
DECLARE_SPELL_FUN(    spell_detect_invis	);
DECLARE_SPELL_FUN(    spell_magic_awareness	);
DECLARE_SPELL_FUN(    spell_detect_poison	);
DECLARE_SPELL_FUN(    spell_detonate		);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_dimension_door	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_disintegrate	);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_dispel_magic	);	/* by Thelonius */
DECLARE_SPELL_FUN(    spell_displacement	);
DECLARE_SPELL_FUN(    spell_divine_protection	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_divinity		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_domination		);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_drain_heat		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_earth_bind		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_earth_power		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_earthquake		);
DECLARE_SPELL_FUN(    spell_ego_whip		);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_empowerment		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_enchant_armour	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_enchant_weapon	);
DECLARE_SPELL_FUN(    spell_energy_containment	);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_endurance		);
DECLARE_SPELL_FUN(    spell_energy_drain	);
DECLARE_SPELL_FUN(    spell_enhance_armour	);
DECLARE_SPELL_FUN(    spell_enhanced_strength	);
DECLARE_SPELL_FUN(    spell_enlarge		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_exorcise		);
DECLARE_SPELL_FUN(    spell_faerie_fire		);
DECLARE_SPELL_FUN(    spell_faith_shield	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_familiar		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_fast_talk		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_fear		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_feast		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_fire_breath		);
DECLARE_SPELL_FUN(    spell_fire_power		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_flame_of_god	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_flaming		);
DECLARE_SPELL_FUN(    spell_flesh_armour	);
DECLARE_SPELL_FUN(    spell_flood		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_fly			);
DECLARE_SPELL_FUN(    spell_foci		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_fortitudes		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_freeze		);
DECLARE_SPELL_FUN(    spell_frost_breath	);
DECLARE_SPELL_FUN(    spell_gale		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_gas_breath		);
DECLARE_SPELL_FUN(    spell_gate		);
DECLARE_SPELL_FUN(    spell_general_purpose	);
DECLARE_SPELL_FUN(    spell_ghoul_form		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_giant_strength	);
DECLARE_SPELL_FUN(    spell_gift_item		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_glamour		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_glitterdust		);
DECLARE_SPELL_FUN(    spell_golden_touch	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_hand_of_kaz		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_harmonise		);	/* by Thelonius */
DECLARE_SPELL_FUN(    spell_haste		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_heal		);
DECLARE_SPELL_FUN(    spell_heavenly_guidance	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_hellfire		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_hex			);
DECLARE_SPELL_FUN(    spell_hog			);	/* Daleken */
DECLARE_SPELL_FUN(    spell_holy_armour		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_holy_aura		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_holy_weapon		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_holylight		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_ice_weapon		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_identify		);
DECLARE_SPELL_FUN(    spell_incite_brawl	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_inertial_barrier	);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_inferno		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_infravision		);
DECLARE_SPELL_FUN(    spell_intellect_fortress	);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_invis		);
DECLARE_SPELL_FUN(    spell_know_alignment	);
DECLARE_SPELL_FUN(    spell_lay_hands		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_lend_health		);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_levitation		);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_lightning_breath	);
DECLARE_SPELL_FUN(    spell_locate_object	);
DECLARE_SPELL_FUN(    spell_lullaby		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_magic_light		);
DECLARE_SPELL_FUN(    spell_mana_balm		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_mass_bless		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_mass_heal		);
DECLARE_SPELL_FUN(    spell_mass_invis		);
DECLARE_SPELL_FUN(    spell_mass_plague		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_medicine		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_mental_barrier	);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_mercy		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_meteor_swarm	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_mind_mist		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_mute		);	/* by Thelonius */
DECLARE_SPELL_FUN(    spell_nexus		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_phase_shift		);
DECLARE_SPELL_FUN(    spell_planeshift		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_plague		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_poison		);
DECLARE_SPELL_FUN(    spell_polymorph_other	);
DECLARE_SPELL_FUN(    spell_portal		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_power_2		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_power_3		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_power_4		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_power_5		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_power_6		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_power_8		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_power_9		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_power_word		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_prayer		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_protection		);
DECLARE_SPELL_FUN(    spell_psychic_drain	);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_psychic_healing	);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_recharge_item	);	/* by Thelonius */
DECLARE_SPELL_FUN(    spell_regeneration	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_remove_hex		);
DECLARE_SPELL_FUN(    spell_remove_silence	);	/* by Thelonius */
DECLARE_SPELL_FUN(    spell_repair_flesh	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_reparation		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_resist_poison	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_resist_temp		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_resurrect		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_sanctuary		);
DECLARE_SPELL_FUN(    spell_scry		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_sense_life		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_shadow_door		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_share_strength	);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_shocking_grasp	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_shield		);
DECLARE_SPELL_FUN(    spell_shrink		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_sleep		);
DECLARE_SPELL_FUN(    spell_soul_blast		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_spirit_power	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_spiritual_hammer	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_stone_skin		);
DECLARE_SPELL_FUN(    spell_story		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_summon		);
DECLARE_SPELL_FUN(    spell_teleport		);
DECLARE_SPELL_FUN(    spell_thought_shield	);
DECLARE_SPELL_FUN(    spell_transmute		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_transport		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_turn_undead		);
DECLARE_SPELL_FUN(    spell_ultrablast		);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_vampiric_bite	);	/* Thelonius */
DECLARE_SPELL_FUN(    spell_vampiric_weapon	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_ventriloquate	);
DECLARE_SPELL_FUN(    spell_warcry		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_warp_flesh		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_water_power		);	/* Daleken */
DECLARE_SPELL_FUN(    spell_wave_of_oblivion	);	/* Daleken */
DECLARE_SPELL_FUN(    spell_weaken		);
DECLARE_SPELL_FUN(    spell_web			);	/* Daleken */
DECLARE_SPELL_FUN(    spell_word_of_recall	);


/*
 * Our function prototypes.
 * One big lump ... this is every function in Merc.
 */
#define CD	CHAR_DATA
#define MID	MOB_INDEX_DATA
#define OD	OBJ_DATA
#define AD	AFFECT_DATA
#define ED	EXTRA_DESCR_DATA
#define OID	OBJ_INDEX_DATA
#define RID	ROOM_INDEX_DATA
#define SF	SPEC_FUN


/* act_comm.c  */
void add_follower		args( ( CHAR_DATA *ch, CHAR_DATA *master ) );
void stop_follower		args( ( CHAR_DATA *ch ) );
void die_follower		args( ( CHAR_DATA *ch, char *name ) );
bool is_same_group		args( ( CHAR_DATA *ach, CHAR_DATA *bch ) );
bool is_same_clan		args( ( CHAR_DATA *ach, CHAR_DATA *bch ) );
bool is_note_to			args( ( CHAR_DATA *ch, NOTE_DATA *pnote ) );
void talk_channel		args( ( CHAR_DATA *ch, const char *argument,
					int channel, const char *verb ) );
void wiznetf			args( ( CHAR_DATA *ch, int chan, int level,
					const char *fmt, ... ) );
void wiznet			args( ( CHAR_DATA *ch, int chan, int level,
					const char *string ) );
bool can_speak			args( ( CHAR_DATA *ch, int lang ) );


/* act_fight.c */
CHAR_DATA *find_target		args( ( CHAR_DATA *ch, const char *argument,
					const char *cmd ) );

/* act_info.c  */
void set_title			args( ( CHAR_DATA *ch, char *title ) );
bool check_blind		args( ( CHAR_DATA *ch ) );
int adept_level			args( ( CHAR_DATA *ch, int sn ) );
bool help_keyword		args( ( const char *word, const char *list ) );


/* act_move.c  */
void move_char			args( ( CHAR_DATA *ch, int door ) );
void auto_track			args( ( CHAR_DATA *ch ) );
void clear_track_marks		args( ( ROOM_INDEX_DATA *room ) );
bool track_check		args( ( CHAR_DATA *ch,
					ROOM_INDEX_DATA *start_room ) );
void fall			args( ( CHAR_DATA *ch ) );
void sink			args( ( CHAR_DATA *ch ) );
bool mob_track_update		args( ( CHAR_DATA *ch ) );
OBJ_DATA *has_key		args( ( CHAR_DATA *ch, int key ) );
int find_door			args( ( CHAR_DATA *ch, const char *arg ) );


/* act_obj.c  */
bool remove_obj			args( ( CHAR_DATA *ch, int iWear,
					bool fReplace ) );
void stop_juggling		args( ( CHAR_DATA *ch ) );


/* act_wiz.c  */
int atoi_functions		args( ( char *str ) );
void bamf			args( ( CHAR_DATA *ch ) );
void copyover_recover		args( ( void ) );
#if !defined( macintosh ) && !defined( WIN32 )
char *fgetf			args( ( char *s, int n, register FILE *iop ) );
#endif
RID *find_location		args( ( CHAR_DATA *ch, const char *arg ) );
void purge_room			args( ( CHAR_DATA *ch, const char *arg ) );
const char *name_expand		args( ( char *outbuf, CHAR_DATA *ch ) );


/* bit.c */
const char *flag_string		args( ( const struct flag_type *flag_table,
					int *bits ) );
int flag_value			args ( ( int *target,
					 const struct flag_type *flag_table,
					 const char *argument) );
int get_lookup			args( ( int *target, const char *table,
					const char *flags ) );
bool is_stat			args( ( const struct flag_type *flag_table ) );
bool is_vector			args( ( const struct flag_type *flag_table ) );



/* comm.c  */
void close_socket		args( ( DESCRIPTOR_DATA *dclose ) );
void write_to_buffer		args( ( DESCRIPTOR_DATA *d,
					const char *txt ) );
void send_to_room		args( ( const char *txt,
					ROOM_INDEX_DATA *room ) );
void send_to_all_char		args( ( const char *text ) );
void send_to_char		args( ( const char *txt, CHAR_DATA *ch ) );
void act			args( ( const char *format, CHAR_DATA *ch,
					const void *arg1, const void *arg2,
					int type ) );
bool write_to_descriptor	args( ( int desc, const char *txt,
					int length ) );
bool write_to_descriptor_nice	args( ( DESCRIPTOR_DATA *d ) );
void charprintf			args( ( CHAR_DATA *ch, const char *fmt, ... ) );
char *myctime			args( ( time_t *current_time ) );
void vt100_init			args( ( DESCRIPTOR_DATA *d ) );
void standard_prompt		args( ( DESCRIPTOR_DATA *d ) );
void pager_prompt		args( ( DESCRIPTOR_DATA *d ) );
void stredit_prompt		args( ( DESCRIPTOR_DATA *d ) );
bool check_parse_name		args( ( const char *name ) );
const INTERPRETER_DATA *get_interpreter args( ( const char *name ) );


/* db.c	 */
void ban_update			args( ( void ) );
void reset_area			args( ( AREA_DATA *pArea ) );	    /* OLC */
void reset_room			args( ( ROOM_INDEX_DATA *pRoom ) ); /* OLC */
void boot_db			args( ( void ) );
void db_dump			args( ( void ) );
void init_areas			args( ( void ) );
CD *new_character		args( ( bool player ) );
AD *new_affect			args( ( void ) );
OD *new_object			args( ( void ) );
ED *new_extra_descr		args( ( void ) );
ALIAS_DATA *new_alias		args( ( void ) );
void free_alias			args( ( ALIAS_DATA *al ) );
PLANE_DATA *new_plane		args( ( void ) );
void free_plane			args( ( PLANE_DATA *pl ) );
CD *create_mobile		args( ( MOB_INDEX_DATA *pMobIndex ) );
OD *create_object		args( ( OBJ_INDEX_DATA *pObjIndex,
					int level ) );
void clear_char			args( ( CHAR_DATA *ch ) );
void free_char			args( ( CHAR_DATA *ch ) );
char *get_extra_descr		args( ( const char *name,
					EXTRA_DESCR_DATA *ed ) );
MID *get_mob_index		args( ( int vnum ) );
OID *get_obj_index		args( ( int vnum ) );
RID *get_room_index		args( ( int vnum ) );
int fread_letter		args( ( FILE *fp ) );
int fread_number		args( ( FILE *fp, int *status ) );
void fread_to_eol		args( ( FILE *fp ) );
char *fread_word		args( ( FILE *fp, int *status ) );
void *alloc_mem			args( ( int sMem ) );
void *alloc_perm		args( ( int sMem ) );
void dalloc_last		args( ( int sMem ) );
void free_mem			args( ( void *pMem, int sMem ) );
char *str_dup			args( ( const char *str ) );
void free_string		args( ( char *pstr ) );
int number_fuzzy		args( ( int number ) );
int percent_fuzzy		args( ( int number, int prcnt ) );
int number_range		args( ( int from, int to ) );
int number_percent		args( ( void ) );
int number_door			args( ( void ) );
int number_bits			args( ( int width ) );
int number_mm			args( ( void ) );
int dice			args( ( int number, int size ) );
bool str_cmp			args( ( const char *astr, const char *bstr ) );
char *str_str			args( ( const char *astr, const char *bstr ) );
bool str_prefix			args( ( const char *astr, const char *bstr ) );
bool str_infix			args( ( const char *astr, const char *bstr ) );
bool str_suffix			args( ( const char *astr, const char *bstr ) );
const char *capitalize		args( ( const char *str ) );
void append_file		args( ( CHAR_DATA *ch, const char *file,
					const char *str ) );
void log_string			args( ( const char *fmt, ... ) );
void bug			args( ( const char *fmt, ... ) );
void save_highest		args( ( void ) );
void save_buried		args( ( void ) );
void save_unique_key		args( ( void ) );
bool read_desc			args( ( FILE *fp, EXTRA_DESCR_DATA **pEd ) );
bool read_values		args( ( FILE *fp, int type, int value[] ) );

/* db_io.c */
FILE *open_file		args( ( const char *name, const char *mode, bool version ) );
void close_file		args( ( FILE *fp ) );

/* fight.c */
void death_cry			args( ( CHAR_DATA *ch ) );
void room_violence_update	args( ( ROOM_INDEX_DATA *room ) );
void multi_hit			args( ( CHAR_DATA *ch, CHAR_DATA *victim,
					int dt ) );
void damage			args( ( CHAR_DATA *ch, CHAR_DATA *victim,
					int dam, int dt, int wpn ) );
void raw_kill			args( ( CHAR_DATA *ch, CHAR_DATA *victim ) );
void stop_fighting		args( ( CHAR_DATA *ch, bool fBoth ) );
void stop_fighting_room		args( ( CHAR_DATA *ch, bool fBoth ) );
void update_pos			args( ( CHAR_DATA *victim ) );
void check_killer		args( ( CHAR_DATA *ch, CHAR_DATA *victim ) );
bool is_safe			args( ( CHAR_DATA *ch, CHAR_DATA *victim ) );
void show_opponent		args( ( CHAR_DATA *ch ) );
int xp_compute			args( ( CHAR_DATA *gch, CHAR_DATA *victim,
					int dam ) );
void mob_class_action		args( ( CHAR_DATA *ch ) );
void web_update			args( ( CHAR_DATA *ch ) );
void juggle_shuffle		args( ( CHAR_DATA *ch ) );
bool throw			args( ( CHAR_DATA *ch,
					const char *argument ) );
char *dam_amount		args( ( char *outstr, CHAR_DATA *ch,
					const int dam ) );
char *xp_str			args( ( char *outstr, const int xp ) );


/* handler.c  */
int get_max_hit			args( ( CHAR_DATA *ch ) );
int get_max_mana		args( ( CHAR_DATA *ch, int which ) );
int get_max_move		args( ( CHAR_DATA *ch ) );
int get_success			args( ( CHAR_DATA *ch, int sn, int percent ) );
bool can_prac			args( ( CHAR_DATA *ch, int sn ) );
bool can_use			args( ( CHAR_DATA *ch, int sn ) );
int get_first_class		args( ( CHAR_DATA *ch ) );
int get_second_class		args( ( CHAR_DATA *ch ) );
int get_aspire_class		args( ( CHAR_DATA *ch ) );
int  get_lord_level		args( ( CHAR_DATA *ch) );
int race_tnl			args( ( int race ) );
int get_tnl			args( ( CHAR_DATA *ch ) );
int get_curr_temp		args( ( CHAR_DATA *ch ) );
int get_room_temp		args( ( ROOM_INDEX_DATA *room ) );
int get_magic			args( ( CHAR_DATA *ch, int sphere ) );
int total_mana			args( ( int *arr ) );
int get_magic_resist		args( ( CHAR_DATA *ch ) );
int get_curr_resil		args( ( CHAR_DATA *ch ) );
int get_trust			args( ( CHAR_DATA *ch ) );
int get_age			args( ( CHAR_DATA *ch ) );
int get_curr_str		args( ( CHAR_DATA *ch ) );
int get_curr_int		args( ( CHAR_DATA *ch ) );
int get_curr_wis		args( ( CHAR_DATA *ch ) );
int get_curr_dex		args( ( CHAR_DATA *ch ) );
int get_curr_con		args( ( CHAR_DATA *ch ) );
int get_hitroll			args( ( CHAR_DATA *ch ) );
int get_damroll			args( ( CHAR_DATA *ch ) );
int get_speed		args( ( CHAR_DATA *ch ) );
int get_size			args( ( CHAR_DATA *ch ) );
int can_carry_n			args( ( CHAR_DATA *ch ) );
int can_carry_w			args( ( CHAR_DATA *ch ) );
bool is_owner			args( ( CHAR_DATA *ch, OBJ_DATA *obj ) );
bool is_char_name		args( ( CHAR_DATA *ch, const char *str ) );
bool is_obj_name		args( ( OBJ_DATA *obj, const char *str ) );
bool is_name			args( ( const char *str,
					const char *namelist ) );
char *show_affect		args( ( char *outbuf, AFFECT_DATA *paf,
					bool extra, bool imm ) );
bool affect_to_char		args( ( CHAR_DATA *ch, AFFECT_DATA *paf,
					CHAR_DATA *caster ) );
void affect_modify		args( ( CHAR_DATA *ch, AFFECT_DATA *paf,
					bool fAdd ) );
void affect_remove		args( ( CHAR_DATA *ch, AFFECT_DATA *paf ) );
void affect_strip		args( ( CHAR_DATA *ch, int sn ) );
void affect_strip_special	args( ( CHAR_DATA *ch, AFFECT_DATA *af ) );
bool is_affected		args( ( CHAR_DATA *ch, int sn ) );
void affect_join		args( ( CHAR_DATA *ch, AFFECT_DATA *paf ) );
void char_from_room		args( ( CHAR_DATA *ch ) );
void char_to_room		args( ( CHAR_DATA *ch, ROOM_INDEX_DATA *pRoomIndex ) );
void char_fall_check		args( ( CHAR_DATA *ch, int fallen ) );
void weight_change_object	args( ( OBJ_DATA *obj, int weight ) );
void obj_to_char		args( ( OBJ_DATA *obj, CHAR_DATA *ch ) );
void obj_from_char		args( ( OBJ_DATA *obj ) );
int apply_ac			args( ( CHAR_DATA *ch, OBJ_DATA *obj,
					int iWear ) );
OD *get_eq_char			args( ( CHAR_DATA *ch, int iWear ) );
OBJ_DATA *get_held		args( ( CHAR_DATA *ch, int type, bool first ) );void equip_char			args( ( CHAR_DATA *ch, OBJ_DATA *obj,
					int iWear ) );
void unequip_char		args( ( CHAR_DATA *ch, OBJ_DATA *obj ) );
int count_obj_list		args( ( OBJ_INDEX_DATA *obj,
					OBJ_DATA *list ) );
void obj_from_room		args( ( OBJ_DATA *obj ) );
void obj_to_room		args( ( OBJ_DATA *obj, ROOM_INDEX_DATA *pRoomIndex ) );
void obj_fall_check		args( ( OBJ_DATA *obj, int fallen ) );
void obj_to_obj			args( ( OBJ_DATA *obj, OBJ_DATA *obj_to ) );
void obj_from_obj		args( ( OBJ_DATA *obj ) );
void extract_obj		args( ( OBJ_DATA *obj ) );
void extract_char		args( ( CHAR_DATA *ch, bool fPull ) );
CD *get_char_room		args( ( CHAR_DATA *ch, const char*argument ) );
CD *get_char_world		args( ( CHAR_DATA *ch, const char*argument ) );
OD *get_obj_type		args( ( OBJ_INDEX_DATA *pObjIndexData ) );
OD *get_obj_list		args( ( CHAR_DATA *ch, const char *argument,
					OBJ_DATA *list ) );
OD *get_obj_carry		args( ( CHAR_DATA *ch, const char*argument ) );
OD *get_obj_wear		args( ( CHAR_DATA *ch, const char*argument ) );
OD *get_obj_here		args( ( CHAR_DATA *ch, const char*argument ) );
OD *get_obj_world		args( ( CHAR_DATA *ch, const char*argument ) );
OD *create_money		args( ( int amount ) );
int get_obj_number		args( ( OBJ_DATA *obj ) );
int get_obj_weight		args( ( OBJ_DATA *obj ) );
int count_users			args( ( OBJ_DATA *obj ) );
bool room_is_dark		args( ( ROOM_INDEX_DATA *pRoomIndex ) );
int get_room_light		args( ( ROOM_INDEX_DATA *pRoomIndex ) );
bool room_is_private		args( ( ROOM_INDEX_DATA *pRoomIndex ) );
bool can_see			args( ( CHAR_DATA *ch, CHAR_DATA *victim ) );
bool can_see_obj		args( ( CHAR_DATA *ch, OBJ_DATA *obj ) );
bool can_drop_obj		args( ( CHAR_DATA *ch, OBJ_DATA *obj ) );
CD *get_char			args( ( CHAR_DATA *ch ) );
bool longstring			args( ( CHAR_DATA *ch, const char *argument ) );bool authorized			args( ( CHAR_DATA *ch, const char *skllnm ) );
void end_of_game		args( ( void ) );
int race_lookup			args( ( const char *race ) );
int race_full_lookup		args( ( const char *race ) );
int affect_lookup		args( ( const char *affn ) );
int liquid_lookup		args( ( const char *name ) );
PLANE_DATA *plane_lookup	args( ( const char *name ) );
int power			args( ( int base, int percentage, int diff ) );
int atoi_special		args( ( const char *str ) );
int str_app_wield		args( ( int str ) );
int get_ac			args( ( CHAR_DATA *ch ) );
int mana_cost			args( ( CHAR_DATA *ch, int sn, int sphere ) );
int total_mana_cost		args( ( CHAR_DATA *ch, int sn ) );

void mod_item_condition		args( ( CHAR_DATA *ch, OBJ_DATA *obj,
					int amount ) );
void clean_char			args( ( CHAR_DATA *ch ) );
int *vzero			args( ( int *vector ) );
int *vcopy			args( ( int *dest, const int *src ) );
int *vset			args( ( int *dest, const int bit ) );
bool vequal			args( ( const int *a, const int *b ) );
bool vnull			args( ( const int *a ) );


/* interp.c  */
void interpret			args( ( CHAR_DATA *ch, const char *argument ) );
bool is_number			args( ( const char *arg ) );
char *int_to_str_special	args( ( int num ) );
bool is_number_special		args( ( const char *arg ) );
int number_argument		args( ( const char *argument, char *arg ) );
bool perform_alias		args( ( DESCRIPTOR_DATA *d ) );
bool IS_SWITCHED		args( ( CHAR_DATA *ch ) );
void bad_command		args( ( CHAR_DATA *ch ) );
bool isvowel			args( ( char ch ) );
void load_poses			args( ( void ) );
void save_poses			args( ( void ) );
SOCIAL_DATA *find_social	args( ( const char *command ) );


/* magic_misc.c	 */
void say_spell			args( ( CHAR_DATA *ch, int sn ) );
int skill_lookup		args( ( const char *name ) );
bool saves_spell		args( ( int level, CHAR_DATA *ch,
					CHAR_DATA *victim, int sn ) );
void obj_cast_spell		args( ( int sn, int level, CHAR_DATA *ch,
					CHAR_DATA *victim, OBJ_DATA *obj,
					const char *extra ) );
void spell_imprint		args( ( int sn, int level, CHAR_DATA *ch,
					void *vo ) );
void take_generic_mana		args( ( CHAR_DATA *ch, int amount ) );
void cast_spell			args( ( CHAR_DATA *ch, int sn,
					const char *arg2 ) );
void animate_corpse		args( ( CHAR_DATA *ch, OBJ_DATA *cor,
					int sn, int level ) );

#if defined( MCCP )
/* mccp.c */
bool compress_start		args( ( DESCRIPTOR_DATA *desc, int ver ) );
bool compress_end		args( ( DESCRIPTOR_DATA *desc, int ver ) );
bool process_compressed		args( ( DESCRIPTOR_DATA *desc ) );
#endif

/* mem.c */
void add_social			args( ( SOCIAL_DATA *social ) );
QUEST_DATA *new_quest		args( ( void ) );
void free_quest			args( ( QUEST_DATA *qq ) );
MPROG_VAR *new_mpvar		args( ( void ) );
void free_mpvar			args( ( MPROG_VAR *var ) );
RELIGION_DATA *new_religion_data args( ( void ) );
void free_religion_data		args( ( RELIGION_DATA *rel ) );
RELIGION_SKILL *new_religion_skill args( ( void ) );
void free_religion_skill	args( ( RELIGION_SKILL *ski ) );
CLAN_DATA *new_clan_data	args( ( void ) );
void free_clan_data		args( ( CLAN_DATA *clan ) );
POSE_DATA *new_pose_data	args( ( void ) );
void free_pose_data		args( ( POSE_DATA *pose ) );
EXIT_DATA *new_exit		args( ( void ) );
void free_exit			args( ( EXIT_DATA *pExit ) );
HIGHEST_ENTRY *new_highent	args( ( void ) );
void free_highent		args( ( HIGHEST_ENTRY *ent ) );
TEXT_BLOCK *new_text_block	args( ( int size ) );
void free_text_block		args( ( TEXT_BLOCK *block ) );


/* mud_prog.c */
MPROG_GLOBAL *get_global_mudprog_index args( ( int vnum ) );
MPROG_GLOBAL *get_global_prog	args( ( MPROG_DATA *mprg ) );
bool prog_only_cmnd		args( ( CHAR_DATA *ch,
					const char *argument ) );
int parse			args( ( const char *commands, MPROG_INFO *info,
					MPROG_STACK *stack, int line_no ) );
CHAR_DATA *oset_supermob	args( ( OBJ_DATA *obj ) );
CHAR_DATA *rset_supermob	args( ( ROOM_INDEX_DATA *room ) );
void release_supermob		args( ( void ) );
void init_supermob		args( ( void ) );
struct supermob_data *get_supermob args( ( CHAR_DATA *mob ) );
void progbug		args( ( CHAR_DATA *mob,
					const char *fmt, ... ) );
void update_act_progs		args( ( void ) );

void mprog_wordlist_check	args( ( char *arg, CHAR_DATA *mob,
					CHAR_DATA *actor, OBJ_DATA *object,
					void *vo, int type ) );
int mprog_sub_trigger		args( ( CHAR_DATA *mob, CHAR_DATA *actor,
					const char *argument ) );
int mprog_percent_check		args( ( CHAR_DATA *mob, CHAR_DATA *actor,
					OBJ_DATA *object, void *vo,
					int type ) );
void mob_act_trigger		args( ( char *buf, CHAR_DATA *mob,
					CHAR_DATA *ch, OBJ_DATA *obj,
					void *vo ) );
void mprog_bribe_trigger	args( ( CHAR_DATA *mob, CHAR_DATA *ch,
					int amount ) );
void mprog_give_trigger		args( ( CHAR_DATA *mob, CHAR_DATA *ch,
					OBJ_DATA *obj ) );
void mprog_hitprcnt_trigger	args( ( CHAR_DATA *mob ) );
void mprog_time_trigger		args( ( CHAR_DATA *mob ) );
void mprog_cast_trigger		args( ( CHAR_DATA *mob, CHAR_DATA *actor,
					int sn ) );
void oprog_wordlist_check	args( ( char *arg, CHAR_DATA *actor,
					OBJ_DATA *object, void *vo,
					int type ) );
int oprog_percent_check		args( ( CHAR_DATA *actor, OBJ_DATA *object,
					void *vo, int type ) );
void oprog_container_putin	args( ( CHAR_DATA *ch, OBJ_DATA *cont,
					OBJ_DATA *obj ) );
void oprog_time_trigger		args( ( OBJ_DATA *obj ) );
void rprog_wordlist_check	args( ( char *arg, ROOM_INDEX_DATA *room,
					CHAR_DATA *actor, OBJ_DATA *object,
					void *vo, int type ) );
int rprog_percent_check		args( ( ROOM_INDEX_DATA *room,
					CHAR_DATA *actor, OBJ_DATA *object,
					void *vo, int type ) );
void rprog_time_trigger		args( ( ROOM_INDEX_DATA *room,
					CHAR_DATA *actor ) );
void roomobj_act_trigger	args( ( char *buf, ROOM_INDEX_DATA *room,
					CHAR_DATA *ch, OBJ_DATA *obj,
					void *vo ) );
bool greet_leave_trigger	args( ( CHAR_DATA *actor, CHAR_DATA *mob,
					ROOM_INDEX_DATA *room, OBJ_DATA *obj,
					int dir, int type ) );
bool command_trigger		args( ( CHAR_DATA *ch, const char *comm,
					const char *argument ) );

/* Mobprog variables functions */
void delete_all_locals	args( ( MPROG_INFO *info ) );
char *get_mob_var	args( ( CHAR_DATA *mob, const char *name ) );
void new_mob_var	args( ( CHAR_DATA *mob, const char *name,
				const char *value ) );
void set_mob_var	args( ( CHAR_DATA *mob, const char *name,
				const char *value ) );
void delete_mob_var	args( ( CHAR_DATA *mob, const char *name ) );


/* note.c */
void free_note		args( ( NOTE_DATA *pnote ) );
void append_note	args( ( FILE *fp, NOTE_DATA *pnote ) );
int unread_notes	args( ( CHAR_DATA *ch, BOARD_DATA *board ) );
int board_lookup	args( ( const char *name ) );
void load_board		args( ( BOARD_DATA *board ) );
void load_notes		args( ( void ) );
void save_board		args( ( BOARD_DATA *board ) );
void save_notes		args( ( void ) );


/* olc.c */
AREA_DATA *get_area_data args( ( int vnum ) );
bool is_builder		args( ( CHAR_DATA *ch, AREA_DATA *area ) );
bool run_olc_editor	args( ( DESCRIPTOR_DATA *d ) );
const char *olc_ed_string args( ( CHAR_DATA *ch ) );
const char *olc_ed_vnum	args( ( CHAR_DATA *ch ) );


/* olc_act.c */
void show_room		args( ( CHAR_DATA *ch, ROOM_INDEX_DATA *pRoom ) );
void edit_mpshow	args( ( CHAR_DATA *ch, MPROG_DATA *mprg,
				const char *argument ) );
void show_obj_values	args( ( int type, int value[], BUFFER *buf ) );


/* olc_save.c */
char *fix_string	args( ( char *strfix, const char *str ) );
void save_area		args( ( AREA_DATA *pArea ) );
int get_orig_sex	args( ( CHAR_DATA *ch ) );
int get_orig_race	args( ( CHAR_DATA *ch ) );


/* religion.c */
bool is_clan			args( ( CHAR_DATA *ch ) );
bool is_clan_enemy		args( ( CHAR_DATA *victim, CHAR_DATA *ch ) );
const char *rank_name		args( ( int rank, int type ) );
RELIGION_DATA *religion_lookup	args( ( const char *name ) );
CLAN_DATA *clan_lookup		args( ( const char *name ) );
void load_religions		args( ( void ) );
void load_clans			args( ( void ) );
void save_religions		args( ( void ) );
void save_clans			args( ( void ) );
void show_clan			args( ( CHAR_DATA *ch, CLAN_DATA *clan ) );
void remove_from_clan		args( ( CHAR_DATA *ch ) );
void add_to_clan		args( ( CHAR_DATA *ch, CLAN_DATA *clan,
					int rank ) );
void add_religion_tokens	args( ( void ) );
void add_karma			args( ( CLAN_DATA *clan, int amount ) );


/* save.c  */
void save_char_obj	args( ( CHAR_DATA *ch ) );
bool load_char_obj	args( ( DESCRIPTOR_DATA *d, const char *name ) );
void fwrite_obj		args( ( CHAR_DATA *ch, OBJ_DATA *obj,
				FILE *fp, int iNest ) );
int fread_obj		args( ( CHAR_DATA *ch, FILE *fp ) );
void write_affect	args( ( FILE *fp, AFFECT_DATA *paf ) );
bool read_affect	args( ( FILE *fp, AFFECT_DATA **head ) );


/* special.c  */
int spec_lookup		args( ( const char *name ) );
int spec_num		args( ( SPEC_FUN *spec ) );
void sort_inventory	args( ( CHAR_DATA *ch ) );


/* ssm.c */
char *str_dup		args( ( const char * str ) );
char *fread_string	args( ( FILE *fp, int *status ) );
char *fread_string	args( ( FILE *fp, int *status ) );
void temp_fread_string	args( ( FILE *fp, char *buf ) );
void temp_fread_string args( ( FILE *fp, char *buf ) );
void free_string	args( ( char * str ) );




/* string.c */
void ispell_init	args( ( void ) );
void ispell_done	args( ( void ) );
void string_edit	args( ( CHAR_DATA *ch, char **pString ) );
void string_add		args( ( CHAR_DATA *ch, const char *argument ) );
int  string_replace	args( ( char **orig, const char *old, const char *new,
				bool fAll ) );
char *format_string	args( ( char *oldstring ) );
const char *first_arg	args( ( const char *argument, char *arg_first,
				bool fCase ) );
char *string_unpad	args( ( char *argument ) );
char *string_proper	args( ( char *argument ) );
char *all_capitalize	args( ( char *strcap, const char *str ) );
char *multi_line	args( ( char *buf, const char *str,
				int length, int indent ) );
void buffer_free	args( ( BUFFER *buffer ) );
void buffer_clear	args( ( BUFFER *buffer ) );
int find_mem_size	args( ( int min_size ) );
int bprintf		args( ( BUFFER *buffer, const char *fmt, ...) );
BUFFER *buffer_new	args( ( int size ) );
void buffer_strcat	args( ( BUFFER *buffer, const char *text ) );
void proc_colour	args( ( char *outbuf, const char *inbuf, bool color ) );
char *colour_strpad	args( ( char *outstr, const char *str,
				const int length ) );
char *colour_strcentre	args( ( char *outstr, const char *str,
				const int length ) );
void str_limit		args( ( char *str, const int length ) );
char *kill_colour	args( ( char *outstr, const char *str ) );
int colour_strlen	args( ( const char *str ) );


/* update.c  */
void advance_level	args( ( CHAR_DATA *ch, bool multiple ) );
void demote_level	args( ( CHAR_DATA *ch ) );
void gain_exp		args( ( CHAR_DATA *ch, int gain ) );
void gain_condition	args( ( CHAR_DATA *ch, int iCond, int value ) );
void update_handler	args( ( void ) );
void update_highest_list args( ( CHAR_DATA *ch ) );
void purge_spam		args( ( ROOM_INDEX_DATA *room ) );
void explode		args( ( OBJ_DATA *obj ) );
void mana_gain		args( ( CHAR_DATA *ch ) );


#undef	CD
#undef	MID
#undef	OD
#undef	OID
#undef	RID
#undef	SF
